{% extends 'admin/base_admin.html.twig' %}

{% block title %}Users{% endblock %}
{% block breadcrumbs %}
    <ol class="breadcrumb">
        <li class="breadcrumb-item"><a href="{{ path('admin.users') }}">Home</a></li>
        <li class="breadcrumb-item active">Users</li>
    </ol>
{% endblock %}

{% block body %}

    <div class="card">
        <div class="card-body">
            <div class="controls">
                <a href="{{ path('admin.users.create') }}" class="btn btn-success">Create User</a>
            </div>

            {{ form_start(form) }}
            <div class="row">
                <div class="col-md-2">{{ form_widget(form.name) }}</div>
                <div class="col-md-2">{{ form_widget(form.email) }}</div>
                <div class="col-md-2">{{ form_widget(form.role) }}</div>
                <div class="col-md-2">{{ form_widget(form.status) }}</div>
                <div class="col-md-2">
                    <button type="submit" class="btn btn-primary">Filter</button>
                    <a href="{{ path('admin.users') }}" class="btn btn-outline-secondary">Reset</a>
                </div>
            </div>
            {{ form_end(form) }}

        </div>
    </div>

    <div class="card">
        <div class="card-body">

            <div class="box">
                <table class="table table-bordered table-hover">
                    <thead>
                    <tr>
                        <th>{{ knp_pagination_sortable(pagination, 'Date', 'date') }}</th>
                        <th>{{ knp_pagination_sortable(pagination, 'Name', 'name') }}</th>
                        <th>{{ knp_pagination_sortable(pagination, 'Email', 'email') }}</th>
                        <th>{{ knp_pagination_sortable(pagination, 'Role', 'role') }}</th>
                        <th>{{ knp_pagination_sortable(pagination, 'Status', 'status') }}</th>
                    </tr>
                    </thead>
                    <tbody>
                    {% for user in pagination %}
                        <tr>
                            <td>{{ user.date|date('Y-m-d') }}</td>
                            <td><a href="{{ path('admin.users.show', {'id': user.id}) }}">{{ user.name }}</a></td>
                            <td>{{ user.email }}</td>
                            <td>{{ user_role(user.role) }}</td>
                            <td>{{ user_status(user.status) }}</td>
                        </tr>
                    {% endfor %}
                    </tbody>
                </table>
            </div>

            <div class="navigation">
                {{ knp_pagination_render(pagination) }}
            </div>
        </div>
    </div>

{% endblock %}